package com.xindazhou.vehicle.service.auth;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleAuthPageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleAuthRespVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleAuthSaveReqVO;

/**
 * 车辆授权设置 Service 接口
 *
 * @author xindazhou
 */
public interface VehicleAuthService {

    PageResult<VehicleAuthRespVO> getVehicleAuthPage(VehicleAuthPageReqVO pageReqVO);

    VehicleAuthRespVO getVehicleAuth(Long id);

    Long createVehicleAuth(VehicleAuthSaveReqVO createReqVO);

    void updateVehicleAuth(VehicleAuthSaveReqVO updateReqVO);

    void deleteVehicleAuth(Long id);

}
